Author Topic: [MOD] Carrier Command  (Read 43956 times)

Laserzwei

  • Sr. Member
  • ****
  • Status:
    Offline
    Posts:
    387
    • View Profile
on: December 04, 2018, 03:46:06 PM
small update

-- 1.10.0 for 0.20.x [2018-12-04]
  - now uses vanilla "callable"
My Mod Collection
My Discord     screw google captcha
My Github
Questions?
> PM me here on the forums!



Marc1988

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    3
    • View Profile
on: December 16, 2018, 08:25:19 AM
Hallo Together
update (ok i have look into "Which Mods Are Supported This Patch?")
I play on the Beta Branch and the mod don´t work anymore. Is this right?
I have the icon in the right top i can open the menu and the settings but i miss the autocommand butten
and the fighter don't react on the orders. Only with the vanilla icons on the left i can give orders.
Please can you help me?
kind regarts

What I have done allredy:
Downloaded the latest modversions of CC and SSL.
Than I deliedet the data folder and the old mods than i get the new from Steam.
Then I installed the mods.
Install Instructions                    check
Mod conflict resolving            check
SSL.lua                                              looks like

Config.Add("mods/CarrierCommander/scripts/entity/CarrierCommander.lua")

Config.Add("mods/CCBasicCommands/scripts/entity/ai/aggressiveCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/aggressiveCommand_config.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/mineCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/mineCommand_config.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/repairCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/repairCommand_config.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/salvageCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/salvageCommand_config.lua)

return Config

have i missing some thing?
« Last Edit: December 16, 2018, 08:29:35 AM by Marc1988 »



Laserzwei

  • Sr. Member
  • ****
  • Status:
    Offline
    Posts:
    387
    • View Profile
on: December 16, 2018, 11:09:04 AM
Hallo Together
update (ok i have look into "Which Mods Are Supported This Patch?")
I play on the Beta Branch and the mod don´t work anymore. Is this right?
I have the icon in the right top i can open the menu and the settings but i miss the autocommand butten
and the fighter don't react on the orders. Only with the vanilla icons on the left i can give orders.
Please can you help me?
kind regarts

What I have done allredy:
Downloaded the latest modversions of CC and SSL.
Than I deliedet the data folder and the old mods than i get the new from Steam.
Then I installed the mods.
Install Instructions                    check
Mod conflict resolving            check
SSL.lua                                              looks like

Config.Add("mods/CarrierCommander/scripts/entity/CarrierCommander.lua")

Config.Add("mods/CCBasicCommands/scripts/entity/ai/aggressiveCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/aggressiveCommand_config.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/mineCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/mineCommand_config.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/repairCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/repairCommand_config.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/salvageCommand.lua)
Config.Add("mods/CCBasicCommands/scripts/entity/ai/salvageCommand_config.lua)

return Config

have i missing some thing?

CC1.10 for Avorion 0.20.x (beta). "Which Mods Are Supported This Patch?" Is horribly outdated (We are at stable 0.19/beta0.20 and it lists mods for stable 0.17 and beta 0.18). Ship Script Loader is no longer required. "Start all" has been removed.
My Mod Collection
My Discord     screw google captcha
My Github
Questions?
> PM me here on the forums!



BenWinston

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    41
    • View Profile
on: December 16, 2018, 03:55:36 PM
I'm playing the latest and greatest Beta Experimental, and the Carrier Command is working perfectly, no issues (unless self-induced) at all.

personally, I just wish Laserzwei could join the dev team!



Marc1988

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    3
    • View Profile
on: December 17, 2018, 05:13:30 PM
Hallo I have complite reinstall avorion with the beta 0.20.1
And download CC 1.9.2  from github and it dosn`t work.
I follow the instruktions and i use no other mod.



Laserzwei

  • Sr. Member
  • ****
  • Status:
    Offline
    Posts:
    387
    • View Profile
on: December 17, 2018, 07:18:33 PM
Hallo I have complite reinstall avorion with the beta 0.20.1
And download CC 1.9.2  from github and it dosn`t work.
I follow the instruktions and i use no other mod.

CC1.10 for Avorion 0.20.x (beta).
It's available on the very first post or on the 0.20 branch on github
My Mod Collection
My Discord     screw google captcha
My Github
Questions?
> PM me here on the forums!



BenWinston

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    41
    • View Profile
on: December 17, 2018, 07:46:52 PM
Laserzwei, Have you ever considered renumbering the versions to match the version/build of the game? Seems to me that might clear up a lot of this confusion.

For what it's worth...



Laserzwei

  • Sr. Member
  • ****
  • Status:
    Offline
    Posts:
    387
    • View Profile
on: December 17, 2018, 09:26:15 PM
Laserzwei, Have you ever considered renumbering the versions to match the version/build of the game? Seems to me that might clear up a lot of this confusion.

For what it's worth...
I see no need for that. In the 2nd post it lists all changes and for which version they are. If a CC-version lasts longer than a Avorion-Version, then such renaming would cause much more confusion. There is still the rule: Highest mod-version goes with newest game-version.

Also mind you that "Marc1988" didn't use the downloads from this forum, but did use the Github master branch, which -like the game- is on the main branch (0.19). 0.20 is still beta, so naturally the changes for CC 1.10 are on its own 0.20 branch. Github is my developement (and testing) area. Which is why the install instructions on the Github wiki point directly to the first post of this thread and not somewhere on Github.
My Mod Collection
My Discord     screw google captcha
My Github
Questions?
> PM me here on the forums!



BenWinston

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    41
    • View Profile
on: December 18, 2018, 03:22:21 AM
Ah, I understand. Makes sense, really. Just need to read the instructions!  :P



Dirty Rider

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    1
    • View Profile
on: December 18, 2018, 05:14:53 AM
First off, great mod. Boggles the mind how a more robust mechanic like this is not\has not been implemented, so thank you.
Now to the meat of the post. I've been playing this mod single player now and a buddy decided we should put in on the dedicated server, after looking of this thread it appeared to work, as long as both, the server and client had matching mod. Well he put the files in the proper folders (as far as we can tell) and nothing seams to happen. Some insight on what we could be missing would be great.




Marc1988

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    3
    • View Profile
on: December 18, 2018, 11:22:02 AM
@Laserzwei
I love your mod.
But how i can find the beta githup?
I only find CC 1.9.2 und CC 1.10.1 in the first 5 posts ore i´m blinded?
Thanks for the beta link.
kind regarts

It works thanks
« Last Edit: December 18, 2018, 11:32:50 AM by Marc1988 »



Laserzwei

  • Sr. Member
  • ****
  • Status:
    Offline
    Posts:
    387
    • View Profile
on: December 18, 2018, 04:13:57 PM
  • But how i can find the beta githup?
  • I only find CC 1.9.2 und CC 1.10.1 in the first 5 posts ore i´m blinded?
1.9.2 is for Avorion's main version (0.19.x)
1.10.0 is for the opt-in beta (0.20.x)
Avoid the github inbetween-versions and use the packaged versions below the first post of this thread.
This was up to just now the state of things, but now there is an

Update:

-- 1.10.1 for 0.20.x [2018-12-18]
  - Fighters will now attack stations again. oopsie
  - The threshold config slider got its original look back

-- 1.9.2b for 0.19.x [2018-12-18]
  - Fighters will now attack stations again. oopsie
« Last Edit: December 18, 2018, 04:19:05 PM by Laserzwei »
My Mod Collection
My Discord     screw google captcha
My Github
Questions?
> PM me here on the forums!



myth

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    2
    • View Profile
on: February 12, 2019, 09:15:14 PM
Hey,

I've just started with Avorion a few days ago and installed this mod to make my carrier life easier. Great work  :D

After the latest patch I updated the mod to version 1.10.1 and noticed some wrack parts that can't be salvaged and all salvagers are stuck till they are called back.

This happend many times in the last few hours.

Did this happen to anybody else?







stefan

  • Newbie
  • *
  • Status:
    Offline
    Posts:
    1
    • View Profile
on: February 13, 2019, 09:54:56 PM
Hi,

first i want to say thanks for the mod. It really helps having a carrier.

Since the last update, 6th february, i've noticed that the mod have som issues. The "dock all fighters" won't work anymore. Is it a known issue or only for me?

kind regards



Laserzwei

  • Sr. Member
  • ****
  • Status:
    Offline
    Posts:
    387
    • View Profile
on: February 14, 2019, 01:41:09 PM
Hey,
I've just started with Avorion a few days ago and installed this mod to make my carrier life easier. Great work  :D
After the latest patch I updated the mod to version 1.10.1 and noticed some wrack parts that can't be salvaged and all salvagers are stuck till they are called back.
I think you are simply unlucky. Salvaging fighters have always had problems hitting very small moving targets.



Hi,

first i want to say thanks for the mod. It really helps having a carrier.

Since the last update, 6th february, i've noticed that the mod have som issues. The "dock all fighters" won't work anymore. Is it a known issue or only for me?

kind regards
Dock all fighters works fine for me. I hope you are using 1.10.1 with the current 0.20.4.
My Mod Collection
My Discord     screw google captcha
My Github
Questions?
> PM me here on the forums!